<?php

/**
 * Implements hook_form().
 *
 * Provides the form for a user to change the option for DLM on email subject
 * lines.
 */
function govcms_dlm_form($form, &$form_state) {
  $form['govcms_dlm_suffix'] = [
    '#type' => 'select',
    '#title' => t('Select DLM to append to all outgoing e-mails'),
    '#default_value' => variable_get('govcms_dlm_suffix', GOVCMS_DLM_DEFAULT),
    '#options' => [
      '[SEC=UNOFFICIAL]' => '[SEC=UNOFFICIAL]',
      '[SEC=OFFICIAL]' => '[SEC=OFFICIAL]',
      '[SEC=OFFICIAL:Sensitive]' => '[SEC=OFFICIAL:Sensitive]',
    ],
    '#description' => t("Note: Just because you set this doesn't ensure the email is sent securely, you must also ensure your email gateway is configured appropriately."),
    '#required' => TRUE,
  ];

  return system_settings_form($form);
}
